Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Currently, Redmine 4.0 supports Ruby 2.2. But the latest nokogiri gem 1.10.0 supports 2.3 and later, does not 2.2. So, we cannot

update nogogiri gem to 1.10.0 as long as Redmine officially supports Ruby 2.2.

However, it is necessary to update nokogiri to 1.10.0 in order to support Ruby 2.6 because older nokogiri does not support Ruby 2.6

on Windows (https://github.com/sparklemotion/nokogiri/pull/1850).

We have to choose the Ruby version we support, 2.2 or 2.6. Needless to say, Redmine 4.0 should support Ruby 2.6 rather than

retired 2.2.

Related issues:

Related to Redmine - Patch #30241: Update nokogiri gem (~> 1.10.0) Closed

Blocks Redmine - Feature #29946: Update i18n gem (~> 1.6.0) Closed

Associated revisions

Revision 17887 - 2019-02-19 11:11 - Go MAEDA

Drop Ruby 2.2 support (#30356).

History

#1 - 2019-01-08 01:55 - Go MAEDA

- Related to Patch #30241: Update nokogiri gem (~> 1.10.0) added

#2 - 2019-01-08 01:55 - Go MAEDA

- Blocks Feature #30118: Ruby 2.6 support added

#3 - 2019-01-08 02:59 - Pavel Rosický

What about just locking nokogiri 1.9.0 for Ruby 2.2?

#4 - 2019-01-08 03:17 - Go MAEDA

Pavel Rosický wrote:

What about just locking nokogiri 1.9.0 for Ruby 2.2?

 You are right. I quite forgot about it. This should work.

Index: Gemfile

===================================================================

--- Gemfile    (revision 17777)

+++ Gemfile    (working copy)

@@ -14,7 +14,7 @@

 gem "mail", "~> 2.7.1" 

 gem "csv", "~> 3.0.1" if RUBY_VERSION >= "2.3" && RUBY_VERSION < "2.6" 

-gem "nokogiri", "~> 1.9.0" 

+gem "nokogiri", (RUBY_VERSION >= "2.3" ? "~> 1.10.0" : "~> 1.9.1")

 gem "i18n", "~> 0.7.0" 

 # Windows does not include zoneinfo files, so bundle the tzinfo-data gem
#5 - 2019-01-08 03:25 - Marius BĂLTEANU

In my opinion, we should drop Ruby 2.2 support in 4.1.0.

#6 - 2019-01-08 03:34 - Go MAEDA

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.1

Jean-Philippe Lang is considering to drop Ruby 2.2 support in 4.0-stable (see #30161#note-3). I will leave this issue to him.

#7 - 2019-01-08 05:12 - Marius BĂLTEANU

Go MAEDA wrote:

Jean-Philippe Lang is considering to drop Ruby 2.2 support in 4.0-stable (see #30161#note-3). I will leave this issue to him.

 Agree.

I proposed 4.1.0 because 4.0.1 will be a maintenance release (mostly with bug fixes and small changes) and dropping support for Ruby 2.2 could

have an important impact:

Server administrators will need to update the Ruby version on installations with Ruby 2.2.

The codebase of the plugins compatible with 4.0 must be rechecked by their developers to support 4.0.1.

Discussions on the same topic: #25538

#8 - 2019-01-08 05:58 - Go MAEDA

We don't have to drop Ruby 2.2 support in a hurry for now. And I think there isn't any harm to commit the patch #30356#note-4 to the trunk and

4.0-stable.

I would like to commit #30356#note-4 as a part of #30241. What do you all think?

#9 - 2019-01-08 06:24 - Marius BĂLTEANU

Go MAEDA wrote:

We don't have to drop Ruby 2.2 support in a hurry for now. And I think there isn't any harm to commit the patch #30356#note-4 to the trunk and

4.0-stable.

I would like to commit #30356#note-4 as a part of #30241. What do you all think?

 I’m totally agree.

#10 - 2019-01-08 12:50 - Go MAEDA

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Target version deleted (4.0.1)

Uses Nokogiri 1.9 for Ruby 2.2, 1.10 for Ruby >=2.3. We don't have to drop support for Ruby 2.2. See r17778.

#11 - 2019-01-08 12:50 - Go MAEDA

- Blocks deleted (Feature #30118: Ruby 2.6 support)

#12 - 2019-01-08 12:51 - Go MAEDA

- Resolution set to Invalid

#13 - 2019-02-02 12:43 - Marius BĂLTEANU

- Status changed from Closed to Reopened

- Target version set to 4.1.0

I'm reopening this for 4.1.0.

#14 - 2019-02-03 06:55 - Go MAEDA
- File remove-code-for-ruby-two-point-two.diff added

The attached patch removes code for Ruby 2.2.

#15 - 2019-02-14 10:16 - Go MAEDA

- Blocks Feature #29946: Update i18n gem (~> 1.6.0) added

#16 - 2019-02-19 11:11 - Go MAEDA

- Status changed from Reopened to Closed

- Assignee set to Go MAEDA

- Resolution changed from Invalid to Fixed

Committed. Redmine 4.1 supports Ruby 2.3 and later.

#17 - 2019-04-01 00:32 - Marius BĂLTEANU

- Copied to Feature #31128: Drop Ruby < 2.5 support added

#18 - 2019-04-01 00:32 - Marius BĂLTEANU

- Copied to deleted (Feature #31128: Drop Ruby < 2.5 support)

Files

remove-code-for-ruby-two-point-two.diff 1.18 KB 2019-02-03 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 3/3

http://www.tcpdf.org

